module GrpcAuth
  class Engine < ::Rails::Engine
    isolate_namespace GrpcAuth

    config.before_initialize do 
      ActiveSupport.on_load :action_controller do 
        include GrpcAuth::ApplicationHelper
        include GrpcAuth::ApplicationOnly
      end

      ActiveSupport.on_load :action_view do 
        include GrpcAuth::ApplicationHelper
      end
    end

    initializer "grpc_auth.mount" do |app|
      app.routes.prepend do 
        mount GrpcAuth::Engine => ENV["GRPC_AUTH_MOUNT_PATH"]
      end
    end
  end
end
